com.buschmais.jqassistant.plugin.facelet.impl.scanner

## Class JsfFaceletScannerPlugin

- java.lang.Object
- - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,JsfFaceletDescriptor>
  - - com.buschmais.jqassistant.plugin.facelet.impl.scanner.JsfFaceletScannerPlugin

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,JsfFaceletDescriptor>

      public class JsfFaceletScannerPlugin
      extends com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,JsfFaceletDescriptor>

  Scans JSF template files and sets relationships between them.
  Author:
    peter.herklotz@buschmais.com

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin.Requires`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsfFaceletScannerPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope)`
    `protected void` | `initialize()`
    `JsfFaceletDescriptor` | `scan(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope, com.buschmais.jqassistant.core.scanner.api.Scanner scanner)`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin

      `getDescriptorType, getDirectoryPath, getProperties, getProperty, getStringProperty, getType, getTypeParameter, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsfFaceletScannerPlugin

          public JsfFaceletScannerPlugin()

  - ### Method Detail

    - #### initialize

          protected void initialize()

      Overrides:
        `initialize` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,JsfFaceletDescriptor>`

    - #### accepts

          public boolean accepts(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item,
                                 String path,
                                 com.buschmais.jqassistant.core.scanner.api.Scope scope)
                          throws IOException

      Throws:
        `IOException`

    - #### scan

          public JsfFaceletDescriptor scan(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item,
                                           String path,
                                           com.buschmais.jqassistant.core.scanner.api.Scope scope,
                                           com.buschmais.jqassistant.core.scanner.api.Scanner scanner)
                                    throws IOException

      Throws:
        `IOException`

Copyright © 2015 buschmais GbR. All rights reserved.